curl --request GET \
--url https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"certificateId": "<string>",
"status": "PROCESSING"
}Get certificate status by identifier
Returns a certificate status.
Required scope: Enable one of: subscriptions:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/subscriptions/1/certificates/status/{certificateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"certificateId": "<string>",
"status": "PROCESSING"
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Certificate identifier.
1 - 255Response
Success.
Certificate identifier.
Certificate status. Represents a certificate state and indicates whether the certificate can be used. PROCESSING means certificate is being synced on Phonovation Platform and cannot be use for notification events. READY means certificate is synced and notification events can be sent to webhook using the certificate. EXPIRED means certificate cannot be used because validity date is in the past.
PROCESSING, READY, EXPIRED